Page MenuHomePhabricator

Allow setting the watchlist table to read-only on a per-wiki basis
Closed, ResolvedPublic

Description

Problem
The watchlist tables need to receive a wl_id column. During that time, no changes should be made to the database. To keep that time small, we only want to have those tables in read-only state, where the wl_id column is actually added.

Task
Allow setting the watchlist tables to read-only on a per-wiki basis.

Details

Related Gerrit Patches:
mediawiki/core : masterAdd switch for readonly watchlists

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptMar 9 2017, 12:09 PM
Addshore moved this task from Unsorted 💣 to Next on the User-Addshore board.Mar 11 2017, 4:58 PM
Addshore moved this task from Proposed to Sprint ready on the WMDE-QWERTY-Team board.
Addshore moved this task from Next to Back Burner 🏛️ on the User-Addshore board.

Change 343632 had a related patch set uploaded (by Addshore):
[mediawiki/core] Add switch for readonly watchlists

https://gerrit.wikimedia.org/r/343632

Addshore closed this task as Declined.Apr 20 2017, 1:24 PM
Addshore moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.
Addshore removed a project: Patch-For-Review.

Looks like we are not going to do this, as it will not be needed as wl_id should be added during the current data centre switch.

I still think it would be nice to have that feature there if needed

Addshore reopened this task as Open.Apr 20 2017, 1:27 PM

I still think it would be nice to have that feature there if needed

Hmm, okay, I will reopen.
The patches already exist after all and just need review.

Addshore moved this task from Done to Currently in sprint on the WMDE-QWERTY-Team board.

@Legoktm any chance you can take another look at this? :)

Change 343632 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/core@master] Add switch for readonly watchlists

https://gerrit.wikimedia.org/r/343632

Change 343632 merged by jenkins-bot:
[mediawiki/core@master] Add switch for readonly watchlists

https://gerrit.wikimedia.org/r/343632

Addshore closed this task as Resolved.Jan 12 2018, 12:08 PM
Addshore moved this task from Active 🚁 to Closing ✔️ on the User-Addshore board.
Lea_WMDE moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Feb 20 2018, 3:31 PM
Restricted Application added a project: Community-Tech. · View Herald TranscriptOct 25 2019, 8:00 PM